#! /usr/local/bin/bash

[ -z "$1" ] && exit 1
[ ! -d "$1" ] && exit 1

mkdir -p $1/drivers/human/tracks/b-speedway 2>/dev/null
if [ ! -e  $1/drivers/human/tracks/b-speedway/car-porsche-gt1.xml ] || [ drivers/human/tracks/b-speedway/car-porsche-gt1.xml -nt $1/drivers/human/tracks/b-speedway/car-porsche-gt1.xml ]
then
    if [ -e $1/drivers/human/tracks/b-speedway/car-porsche-gt1.xml ]
    then
        echo "Saving $1/drivers/human/tracks/b-speedway/car-porsche-gt1.xml to $1/drivers/human/tracks/b-speedway/car-porsche-gt1.xml.old"
        cp -f $1/drivers/human/tracks/b-speedway/car-porsche-gt1.xml $1/drivers/human/tracks/b-speedway/car-porsche-gt1.xml.old
    fi
    cp -f drivers/human/tracks/b-speedway/car-porsche-gt1.xml $1/drivers/human/tracks/b-speedway/car-porsche-gt1.xml
    chmod 640 $1/drivers/human/tracks/b-speedway/car-porsche-gt1.xml
fi
mkdir -p $1/drivers/human/tracks/dirt-1 2>/dev/null
if [ ! -e  $1/drivers/human/tracks/dirt-1/car-pw-206wrc.xml ] || [ drivers/human/tracks/dirt-1/car-pw-206wrc.xml -nt $1/drivers/human/tracks/dirt-1/car-pw-206wrc.xml ]
then
    if [ -e $1/drivers/human/tracks/dirt-1/car-pw-206wrc.xml ]
    then
        echo "Saving $1/drivers/human/tracks/dirt-1/car-pw-206wrc.xml to $1/drivers/human/tracks/dirt-1/car-pw-206wrc.xml.old"
        cp -f $1/drivers/human/tracks/dirt-1/car-pw-206wrc.xml $1/drivers/human/tracks/dirt-1/car-pw-206wrc.xml.old
    fi
    cp -f drivers/human/tracks/dirt-1/car-pw-206wrc.xml $1/drivers/human/tracks/dirt-1/car-pw-206wrc.xml
    chmod 640 $1/drivers/human/tracks/dirt-1/car-pw-206wrc.xml
fi
if [ ! -e  $1/drivers/human/tracks/dirt-1/car-torcs.xml ] || [ drivers/human/tracks/dirt-1/car-torcs.xml -nt $1/drivers/human/tracks/dirt-1/car-torcs.xml ]
then
    if [ -e $1/drivers/human/tracks/dirt-1/car-torcs.xml ]
    then
        echo "Saving $1/drivers/human/tracks/dirt-1/car-torcs.xml to $1/drivers/human/tracks/dirt-1/car-torcs.xml.old"
        cp -f $1/drivers/human/tracks/dirt-1/car-torcs.xml $1/drivers/human/tracks/dirt-1/car-torcs.xml.old
    fi
    cp -f drivers/human/tracks/dirt-1/car-torcs.xml $1/drivers/human/tracks/dirt-1/car-torcs.xml
    chmod 640 $1/drivers/human/tracks/dirt-1/car-torcs.xml
fi
mkdir -p $1/drivers/human/tracks/dirt-2 2>/dev/null
if [ ! -e  $1/drivers/human/tracks/dirt-2/car-pw-206wrc.xml ] || [ drivers/human/tracks/dirt-2/car-pw-206wrc.xml -nt $1/drivers/human/tracks/dirt-2/car-pw-206wrc.xml ]
then
    if [ -e $1/drivers/human/tracks/dirt-2/car-pw-206wrc.xml ]
    then
        echo "Saving $1/drivers/human/tracks/dirt-2/car-pw-206wrc.xml to $1/drivers/human/tracks/dirt-2/car-pw-206wrc.xml.old"
        cp -f $1/drivers/human/tracks/dirt-2/car-pw-206wrc.xml $1/drivers/human/tracks/dirt-2/car-pw-206wrc.xml.old
    fi
    cp -f drivers/human/tracks/dirt-2/car-pw-206wrc.xml $1/drivers/human/tracks/dirt-2/car-pw-206wrc.xml
    chmod 640 $1/drivers/human/tracks/dirt-2/car-pw-206wrc.xml
fi
if [ ! -e  $1/drivers/human/tracks/dirt-2/car-torcs.xml ] || [ drivers/human/tracks/dirt-2/car-torcs.xml -nt $1/drivers/human/tracks/dirt-2/car-torcs.xml ]
then
    if [ -e $1/drivers/human/tracks/dirt-2/car-torcs.xml ]
    then
        echo "Saving $1/drivers/human/tracks/dirt-2/car-torcs.xml to $1/drivers/human/tracks/dirt-2/car-torcs.xml.old"
        cp -f $1/drivers/human/tracks/dirt-2/car-torcs.xml $1/drivers/human/tracks/dirt-2/car-torcs.xml.old
    fi
    cp -f drivers/human/tracks/dirt-2/car-torcs.xml $1/drivers/human/tracks/dirt-2/car-torcs.xml
    chmod 640 $1/drivers/human/tracks/dirt-2/car-torcs.xml
fi
mkdir -p $1/drivers/human/tracks/dirt-3 2>/dev/null
if [ ! -e  $1/drivers/human/tracks/dirt-3/car-torcs.xml ] || [ drivers/human/tracks/dirt-3/car-torcs.xml -nt $1/drivers/human/tracks/dirt-3/car-torcs.xml ]
then
    if [ -e $1/drivers/human/tracks/dirt-3/car-torcs.xml ]
    then
        echo "Saving $1/drivers/human/tracks/dirt-3/car-torcs.xml to $1/drivers/human/tracks/dirt-3/car-torcs.xml.old"
        cp -f $1/drivers/human/tracks/dirt-3/car-torcs.xml $1/drivers/human/tracks/dirt-3/car-torcs.xml.old
    fi
    cp -f drivers/human/tracks/dirt-3/car-torcs.xml $1/drivers/human/tracks/dirt-3/car-torcs.xml
    chmod 640 $1/drivers/human/tracks/dirt-3/car-torcs.xml
fi
mkdir -p $1/drivers/human/tracks/dirt-4 2>/dev/null
if [ ! -e  $1/drivers/human/tracks/dirt-4/car-torcs.xml ] || [ drivers/human/tracks/dirt-4/car-torcs.xml -nt $1/drivers/human/tracks/dirt-4/car-torcs.xml ]
then
    if [ -e $1/drivers/human/tracks/dirt-4/car-torcs.xml ]
    then
        echo "Saving $1/drivers/human/tracks/dirt-4/car-torcs.xml to $1/drivers/human/tracks/dirt-4/car-torcs.xml.old"
        cp -f $1/drivers/human/tracks/dirt-4/car-torcs.xml $1/drivers/human/tracks/dirt-4/car-torcs.xml.old
    fi
    cp -f drivers/human/tracks/dirt-4/car-torcs.xml $1/drivers/human/tracks/dirt-4/car-torcs.xml
    chmod 640 $1/drivers/human/tracks/dirt-4/car-torcs.xml
fi
mkdir -p $1/drivers/human/tracks/dirt-5 2>/dev/null
if [ ! -e  $1/drivers/human/tracks/dirt-5/car-torcs.xml ] || [ drivers/human/tracks/dirt-5/car-torcs.xml -nt $1/drivers/human/tracks/dirt-5/car-torcs.xml ]
then
    if [ -e $1/drivers/human/tracks/dirt-5/car-torcs.xml ]
    then
        echo "Saving $1/drivers/human/tracks/dirt-5/car-torcs.xml to $1/drivers/human/tracks/dirt-5/car-torcs.xml.old"
        cp -f $1/drivers/human/tracks/dirt-5/car-torcs.xml $1/drivers/human/tracks/dirt-5/car-torcs.xml.old
    fi
    cp -f drivers/human/tracks/dirt-5/car-torcs.xml $1/drivers/human/tracks/dirt-5/car-torcs.xml
    chmod 640 $1/drivers/human/tracks/dirt-5/car-torcs.xml
fi
mkdir -p $1/drivers/human/tracks/dirt-6 2>/dev/null
if [ ! -e  $1/drivers/human/tracks/dirt-6/car-porsche-gt3rs.xml ] || [ drivers/human/tracks/dirt-6/car-porsche-gt3rs.xml -nt $1/drivers/human/tracks/dirt-6/car-porsche-gt3rs.xml ]
then
    if [ -e $1/drivers/human/tracks/dirt-6/car-porsche-gt3rs.xml ]
    then
        echo "Saving $1/drivers/human/tracks/dirt-6/car-porsche-gt3rs.xml to $1/drivers/human/tracks/dirt-6/car-porsche-gt3rs.xml.old"
        cp -f $1/drivers/human/tracks/dirt-6/car-porsche-gt3rs.xml $1/drivers/human/tracks/dirt-6/car-porsche-gt3rs.xml.old
    fi
    cp -f drivers/human/tracks/dirt-6/car-porsche-gt3rs.xml $1/drivers/human/tracks/dirt-6/car-porsche-gt3rs.xml
    chmod 640 $1/drivers/human/tracks/dirt-6/car-porsche-gt3rs.xml
fi
if [ ! -e  $1/drivers/human/tracks/dirt-6/car-torcs.xml ] || [ drivers/human/tracks/dirt-6/car-torcs.xml -nt $1/drivers/human/tracks/dirt-6/car-torcs.xml ]
then
    if [ -e $1/drivers/human/tracks/dirt-6/car-torcs.xml ]
    then
        echo "Saving $1/drivers/human/tracks/dirt-6/car-torcs.xml to $1/drivers/human/tracks/dirt-6/car-torcs.xml.old"
        cp -f $1/drivers/human/tracks/dirt-6/car-torcs.xml $1/drivers/human/tracks/dirt-6/car-torcs.xml.old
    fi
    cp -f drivers/human/tracks/dirt-6/car-torcs.xml $1/drivers/human/tracks/dirt-6/car-torcs.xml
    chmod 640 $1/drivers/human/tracks/dirt-6/car-torcs.xml
fi
mkdir -p $1/drivers/human/tracks/e-track-1 2>/dev/null
if [ ! -e  $1/drivers/human/tracks/e-track-1/car-torcs.xml ] || [ drivers/human/tracks/e-track-1/car-torcs.xml -nt $1/drivers/human/tracks/e-track-1/car-torcs.xml ]
then
    if [ -e $1/drivers/human/tracks/e-track-1/car-torcs.xml ]
    then
        echo "Saving $1/drivers/human/tracks/e-track-1/car-torcs.xml to $1/drivers/human/tracks/e-track-1/car-torcs.xml.old"
        cp -f $1/drivers/human/tracks/e-track-1/car-torcs.xml $1/drivers/human/tracks/e-track-1/car-torcs.xml.old
    fi
    cp -f drivers/human/tracks/e-track-1/car-torcs.xml $1/drivers/human/tracks/e-track-1/car-torcs.xml
    chmod 640 $1/drivers/human/tracks/e-track-1/car-torcs.xml
fi
mkdir -p $1/drivers/human/tracks/e-track-2 2>/dev/null
if [ ! -e  $1/drivers/human/tracks/e-track-2/car-pw-206wrc.xml ] || [ drivers/human/tracks/e-track-2/car-pw-206wrc.xml -nt $1/drivers/human/tracks/e-track-2/car-pw-206wrc.xml ]
then
    if [ -e $1/drivers/human/tracks/e-track-2/car-pw-206wrc.xml ]
    then
        echo "Saving $1/drivers/human/tracks/e-track-2/car-pw-206wrc.xml to $1/drivers/human/tracks/e-track-2/car-pw-206wrc.xml.old"
        cp -f $1/drivers/human/tracks/e-track-2/car-pw-206wrc.xml $1/drivers/human/tracks/e-track-2/car-pw-206wrc.xml.old
    fi
    cp -f drivers/human/tracks/e-track-2/car-pw-206wrc.xml $1/drivers/human/tracks/e-track-2/car-pw-206wrc.xml
    chmod 640 $1/drivers/human/tracks/e-track-2/car-pw-206wrc.xml
fi
if [ ! -e  $1/drivers/human/tracks/e-track-2/car-torcs.xml ] || [ drivers/human/tracks/e-track-2/car-torcs.xml -nt $1/drivers/human/tracks/e-track-2/car-torcs.xml ]
then
    if [ -e $1/drivers/human/tracks/e-track-2/car-torcs.xml ]
    then
        echo "Saving $1/drivers/human/tracks/e-track-2/car-torcs.xml to $1/drivers/human/tracks/e-track-2/car-torcs.xml.old"
        cp -f $1/drivers/human/tracks/e-track-2/car-torcs.xml $1/drivers/human/tracks/e-track-2/car-torcs.xml.old
    fi
    cp -f drivers/human/tracks/e-track-2/car-torcs.xml $1/drivers/human/tracks/e-track-2/car-torcs.xml
    chmod 640 $1/drivers/human/tracks/e-track-2/car-torcs.xml
fi
mkdir -p $1/drivers/human/tracks/e-track-3 2>/dev/null
if [ ! -e  $1/drivers/human/tracks/e-track-3/car-porsche-gt1.xml ] || [ drivers/human/tracks/e-track-3/car-porsche-gt1.xml -nt $1/drivers/human/tracks/e-track-3/car-porsche-gt1.xml ]
then
    if [ -e $1/drivers/human/tracks/e-track-3/car-porsche-gt1.xml ]
    then
        echo "Saving $1/drivers/human/tracks/e-track-3/car-porsche-gt1.xml to $1/drivers/human/tracks/e-track-3/car-porsche-gt1.xml.old"
        cp -f $1/drivers/human/tracks/e-track-3/car-porsche-gt1.xml $1/drivers/human/tracks/e-track-3/car-porsche-gt1.xml.old
    fi
    cp -f drivers/human/tracks/e-track-3/car-porsche-gt1.xml $1/drivers/human/tracks/e-track-3/car-porsche-gt1.xml
    chmod 640 $1/drivers/human/tracks/e-track-3/car-porsche-gt1.xml
fi
if [ ! -e  $1/drivers/human/tracks/e-track-3/car-torcs.xml ] || [ drivers/human/tracks/e-track-3/car-torcs.xml -nt $1/drivers/human/tracks/e-track-3/car-torcs.xml ]
then
    if [ -e $1/drivers/human/tracks/e-track-3/car-torcs.xml ]
    then
        echo "Saving $1/drivers/human/tracks/e-track-3/car-torcs.xml to $1/drivers/human/tracks/e-track-3/car-torcs.xml.old"
        cp -f $1/drivers/human/tracks/e-track-3/car-torcs.xml $1/drivers/human/tracks/e-track-3/car-torcs.xml.old
    fi
    cp -f drivers/human/tracks/e-track-3/car-torcs.xml $1/drivers/human/tracks/e-track-3/car-torcs.xml
    chmod 640 $1/drivers/human/tracks/e-track-3/car-torcs.xml
fi
mkdir -p $1/drivers/human/tracks/e-track-4 2>/dev/null
if [ ! -e  $1/drivers/human/tracks/e-track-4/car-360-modena.xml ] || [ drivers/human/tracks/e-track-4/car-360-modena.xml -nt $1/drivers/human/tracks/e-track-4/car-360-modena.xml ]
then
    if [ -e $1/drivers/human/tracks/e-track-4/car-360-modena.xml ]
    then
        echo "Saving $1/drivers/human/tracks/e-track-4/car-360-modena.xml to $1/drivers/human/tracks/e-track-4/car-360-modena.xml.old"
        cp -f $1/drivers/human/tracks/e-track-4/car-360-modena.xml $1/drivers/human/tracks/e-track-4/car-360-modena.xml.old
    fi
    cp -f drivers/human/tracks/e-track-4/car-360-modena.xml $1/drivers/human/tracks/e-track-4/car-360-modena.xml
    chmod 640 $1/drivers/human/tracks/e-track-4/car-360-modena.xml
fi
if [ ! -e  $1/drivers/human/tracks/e-track-4/car-mclaren-f1.xml ] || [ drivers/human/tracks/e-track-4/car-mclaren-f1.xml -nt $1/drivers/human/tracks/e-track-4/car-mclaren-f1.xml ]
then
    if [ -e $1/drivers/human/tracks/e-track-4/car-mclaren-f1.xml ]
    then
        echo "Saving $1/drivers/human/tracks/e-track-4/car-mclaren-f1.xml to $1/drivers/human/tracks/e-track-4/car-mclaren-f1.xml.old"
        cp -f $1/drivers/human/tracks/e-track-4/car-mclaren-f1.xml $1/drivers/human/tracks/e-track-4/car-mclaren-f1.xml.old
    fi
    cp -f drivers/human/tracks/e-track-4/car-mclaren-f1.xml $1/drivers/human/tracks/e-track-4/car-mclaren-f1.xml
    chmod 640 $1/drivers/human/tracks/e-track-4/car-mclaren-f1.xml
fi
if [ ! -e  $1/drivers/human/tracks/e-track-4/car-porsche-gt1.xml ] || [ drivers/human/tracks/e-track-4/car-porsche-gt1.xml -nt $1/drivers/human/tracks/e-track-4/car-porsche-gt1.xml ]
then
    if [ -e $1/drivers/human/tracks/e-track-4/car-porsche-gt1.xml ]
    then
        echo "Saving $1/drivers/human/tracks/e-track-4/car-porsche-gt1.xml to $1/drivers/human/tracks/e-track-4/car-porsche-gt1.xml.old"
        cp -f $1/drivers/human/tracks/e-track-4/car-porsche-gt1.xml $1/drivers/human/tracks/e-track-4/car-porsche-gt1.xml.old
    fi
    cp -f drivers/human/tracks/e-track-4/car-porsche-gt1.xml $1/drivers/human/tracks/e-track-4/car-porsche-gt1.xml
    chmod 640 $1/drivers/human/tracks/e-track-4/car-porsche-gt1.xml
fi
if [ ! -e  $1/drivers/human/tracks/e-track-4/car-porsche-gt3rs.xml ] || [ drivers/human/tracks/e-track-4/car-porsche-gt3rs.xml -nt $1/drivers/human/tracks/e-track-4/car-porsche-gt3rs.xml ]
then
    if [ -e $1/drivers/human/tracks/e-track-4/car-porsche-gt3rs.xml ]
    then
        echo "Saving $1/drivers/human/tracks/e-track-4/car-porsche-gt3rs.xml to $1/drivers/human/tracks/e-track-4/car-porsche-gt3rs.xml.old"
        cp -f $1/drivers/human/tracks/e-track-4/car-porsche-gt3rs.xml $1/drivers/human/tracks/e-track-4/car-porsche-gt3rs.xml.old
    fi
    cp -f drivers/human/tracks/e-track-4/car-porsche-gt3rs.xml $1/drivers/human/tracks/e-track-4/car-porsche-gt3rs.xml
    chmod 640 $1/drivers/human/tracks/e-track-4/car-porsche-gt3rs.xml
fi
if [ ! -e  $1/drivers/human/tracks/e-track-4/car-torcs.xml ] || [ drivers/human/tracks/e-track-4/car-torcs.xml -nt $1/drivers/human/tracks/e-track-4/car-torcs.xml ]
then
    if [ -e $1/drivers/human/tracks/e-track-4/car-torcs.xml ]
    then
        echo "Saving $1/drivers/human/tracks/e-track-4/car-torcs.xml to $1/drivers/human/tracks/e-track-4/car-torcs.xml.old"
        cp -f $1/drivers/human/tracks/e-track-4/car-torcs.xml $1/drivers/human/tracks/e-track-4/car-torcs.xml.old
    fi
    cp -f drivers/human/tracks/e-track-4/car-torcs.xml $1/drivers/human/tracks/e-track-4/car-torcs.xml
    chmod 640 $1/drivers/human/tracks/e-track-4/car-torcs.xml
fi
mkdir -p $1/drivers/human/tracks/e-track-5 2>/dev/null
if [ ! -e  $1/drivers/human/tracks/e-track-5/car-cg-nascar-rwd.xml ] || [ drivers/human/tracks/e-track-5/car-cg-nascar-rwd.xml -nt $1/drivers/human/tracks/e-track-5/car-cg-nascar-rwd.xml ]
then
    if [ -e $1/drivers/human/tracks/e-track-5/car-cg-nascar-rwd.xml ]
    then
        echo "Saving $1/drivers/human/tracks/e-track-5/car-cg-nascar-rwd.xml to $1/drivers/human/tracks/e-track-5/car-cg-nascar-rwd.xml.old"
        cp -f $1/drivers/human/tracks/e-track-5/car-cg-nascar-rwd.xml $1/drivers/human/tracks/e-track-5/car-cg-nascar-rwd.xml.old
    fi
    cp -f drivers/human/tracks/e-track-5/car-cg-nascar-rwd.xml $1/drivers/human/tracks/e-track-5/car-cg-nascar-rwd.xml
    chmod 640 $1/drivers/human/tracks/e-track-5/car-cg-nascar-rwd.xml
fi
if [ ! -e  $1/drivers/human/tracks/e-track-5/car-torcs.xml ] || [ drivers/human/tracks/e-track-5/car-torcs.xml -nt $1/drivers/human/tracks/e-track-5/car-torcs.xml ]
then
    if [ -e $1/drivers/human/tracks/e-track-5/car-torcs.xml ]
    then
        echo "Saving $1/drivers/human/tracks/e-track-5/car-torcs.xml to $1/drivers/human/tracks/e-track-5/car-torcs.xml.old"
        cp -f $1/drivers/human/tracks/e-track-5/car-torcs.xml $1/drivers/human/tracks/e-track-5/car-torcs.xml.old
    fi
    cp -f drivers/human/tracks/e-track-5/car-torcs.xml $1/drivers/human/tracks/e-track-5/car-torcs.xml
    chmod 640 $1/drivers/human/tracks/e-track-5/car-torcs.xml
fi
mkdir -p $1/drivers/human/tracks/e-track-6 2>/dev/null
if [ ! -e  $1/drivers/human/tracks/e-track-6/car-mclaren-f1.xml ] || [ drivers/human/tracks/e-track-6/car-mclaren-f1.xml -nt $1/drivers/human/tracks/e-track-6/car-mclaren-f1.xml ]
then
    if [ -e $1/drivers/human/tracks/e-track-6/car-mclaren-f1.xml ]
    then
        echo "Saving $1/drivers/human/tracks/e-track-6/car-mclaren-f1.xml to $1/drivers/human/tracks/e-track-6/car-mclaren-f1.xml.old"
        cp -f $1/drivers/human/tracks/e-track-6/car-mclaren-f1.xml $1/drivers/human/tracks/e-track-6/car-mclaren-f1.xml.old
    fi
    cp -f drivers/human/tracks/e-track-6/car-mclaren-f1.xml $1/drivers/human/tracks/e-track-6/car-mclaren-f1.xml
    chmod 640 $1/drivers/human/tracks/e-track-6/car-mclaren-f1.xml
fi
if [ ! -e  $1/drivers/human/tracks/e-track-6/car-porsche-gt1.xml ] || [ drivers/human/tracks/e-track-6/car-porsche-gt1.xml -nt $1/drivers/human/tracks/e-track-6/car-porsche-gt1.xml ]
then
    if [ -e $1/drivers/human/tracks/e-track-6/car-porsche-gt1.xml ]
    then
        echo "Saving $1/drivers/human/tracks/e-track-6/car-porsche-gt1.xml to $1/drivers/human/tracks/e-track-6/car-porsche-gt1.xml.old"
        cp -f $1/drivers/human/tracks/e-track-6/car-porsche-gt1.xml $1/drivers/human/tracks/e-track-6/car-porsche-gt1.xml.old
    fi
    cp -f drivers/human/tracks/e-track-6/car-porsche-gt1.xml $1/drivers/human/tracks/e-track-6/car-porsche-gt1.xml
    chmod 640 $1/drivers/human/tracks/e-track-6/car-porsche-gt1.xml
fi
if [ ! -e  $1/drivers/human/tracks/e-track-6/car-torcs.xml ] || [ drivers/human/tracks/e-track-6/car-torcs.xml -nt $1/drivers/human/tracks/e-track-6/car-torcs.xml ]
then
    if [ -e $1/drivers/human/tracks/e-track-6/car-torcs.xml ]
    then
        echo "Saving $1/drivers/human/tracks/e-track-6/car-torcs.xml to $1/drivers/human/tracks/e-track-6/car-torcs.xml.old"
        cp -f $1/drivers/human/tracks/e-track-6/car-torcs.xml $1/drivers/human/tracks/e-track-6/car-torcs.xml.old
    fi
    cp -f drivers/human/tracks/e-track-6/car-torcs.xml $1/drivers/human/tracks/e-track-6/car-torcs.xml
    chmod 640 $1/drivers/human/tracks/e-track-6/car-torcs.xml
fi
mkdir -p $1/drivers/human/tracks/g-track-2 2>/dev/null
if [ ! -e  $1/drivers/human/tracks/g-track-2/car-360-modena.xml ] || [ drivers/human/tracks/g-track-2/car-360-modena.xml -nt $1/drivers/human/tracks/g-track-2/car-360-modena.xml ]
then
    if [ -e $1/drivers/human/tracks/g-track-2/car-360-modena.xml ]
    then
        echo "Saving $1/drivers/human/tracks/g-track-2/car-360-modena.xml to $1/drivers/human/tracks/g-track-2/car-360-modena.xml.old"
        cp -f $1/drivers/human/tracks/g-track-2/car-360-modena.xml $1/drivers/human/tracks/g-track-2/car-360-modena.xml.old
    fi
    cp -f drivers/human/tracks/g-track-2/car-360-modena.xml $1/drivers/human/tracks/g-track-2/car-360-modena.xml
    chmod 640 $1/drivers/human/tracks/g-track-2/car-360-modena.xml
fi
if [ ! -e  $1/drivers/human/tracks/g-track-2/car-mclaren-f1.xml ] || [ drivers/human/tracks/g-track-2/car-mclaren-f1.xml -nt $1/drivers/human/tracks/g-track-2/car-mclaren-f1.xml ]
then
    if [ -e $1/drivers/human/tracks/g-track-2/car-mclaren-f1.xml ]
    then
        echo "Saving $1/drivers/human/tracks/g-track-2/car-mclaren-f1.xml to $1/drivers/human/tracks/g-track-2/car-mclaren-f1.xml.old"
        cp -f $1/drivers/human/tracks/g-track-2/car-mclaren-f1.xml $1/drivers/human/tracks/g-track-2/car-mclaren-f1.xml.old
    fi
    cp -f drivers/human/tracks/g-track-2/car-mclaren-f1.xml $1/drivers/human/tracks/g-track-2/car-mclaren-f1.xml
    chmod 640 $1/drivers/human/tracks/g-track-2/car-mclaren-f1.xml
fi
if [ ! -e  $1/drivers/human/tracks/g-track-2/car-porsche-gt1.xml ] || [ drivers/human/tracks/g-track-2/car-porsche-gt1.xml -nt $1/drivers/human/tracks/g-track-2/car-porsche-gt1.xml ]
then
    if [ -e $1/drivers/human/tracks/g-track-2/car-porsche-gt1.xml ]
    then
        echo "Saving $1/drivers/human/tracks/g-track-2/car-porsche-gt1.xml to $1/drivers/human/tracks/g-track-2/car-porsche-gt1.xml.old"
        cp -f $1/drivers/human/tracks/g-track-2/car-porsche-gt1.xml $1/drivers/human/tracks/g-track-2/car-porsche-gt1.xml.old
    fi
    cp -f drivers/human/tracks/g-track-2/car-porsche-gt1.xml $1/drivers/human/tracks/g-track-2/car-porsche-gt1.xml
    chmod 640 $1/drivers/human/tracks/g-track-2/car-porsche-gt1.xml
fi
if [ ! -e  $1/drivers/human/tracks/g-track-2/car-porsche-gt3rs.xml ] || [ drivers/human/tracks/g-track-2/car-porsche-gt3rs.xml -nt $1/drivers/human/tracks/g-track-2/car-porsche-gt3rs.xml ]
then
    if [ -e $1/drivers/human/tracks/g-track-2/car-porsche-gt3rs.xml ]
    then
        echo "Saving $1/drivers/human/tracks/g-track-2/car-porsche-gt3rs.xml to $1/drivers/human/tracks/g-track-2/car-porsche-gt3rs.xml.old"
        cp -f $1/drivers/human/tracks/g-track-2/car-porsche-gt3rs.xml $1/drivers/human/tracks/g-track-2/car-porsche-gt3rs.xml.old
    fi
    cp -f drivers/human/tracks/g-track-2/car-porsche-gt3rs.xml $1/drivers/human/tracks/g-track-2/car-porsche-gt3rs.xml
    chmod 640 $1/drivers/human/tracks/g-track-2/car-porsche-gt3rs.xml
fi
if [ ! -e  $1/drivers/human/tracks/g-track-2/car-torcs.xml ] || [ drivers/human/tracks/g-track-2/car-torcs.xml -nt $1/drivers/human/tracks/g-track-2/car-torcs.xml ]
then
    if [ -e $1/drivers/human/tracks/g-track-2/car-torcs.xml ]
    then
        echo "Saving $1/drivers/human/tracks/g-track-2/car-torcs.xml to $1/drivers/human/tracks/g-track-2/car-torcs.xml.old"
        cp -f $1/drivers/human/tracks/g-track-2/car-torcs.xml $1/drivers/human/tracks/g-track-2/car-torcs.xml.old
    fi
    cp -f drivers/human/tracks/g-track-2/car-torcs.xml $1/drivers/human/tracks/g-track-2/car-torcs.xml
    chmod 640 $1/drivers/human/tracks/g-track-2/car-torcs.xml
fi
mkdir -p $1/drivers/human/tracks/g-track-3 2>/dev/null
if [ ! -e  $1/drivers/human/tracks/g-track-3/car-pw-206wrc.xml ] || [ drivers/human/tracks/g-track-3/car-pw-206wrc.xml -nt $1/drivers/human/tracks/g-track-3/car-pw-206wrc.xml ]
then
    if [ -e $1/drivers/human/tracks/g-track-3/car-pw-206wrc.xml ]
    then
        echo "Saving $1/drivers/human/tracks/g-track-3/car-pw-206wrc.xml to $1/drivers/human/tracks/g-track-3/car-pw-206wrc.xml.old"
        cp -f $1/drivers/human/tracks/g-track-3/car-pw-206wrc.xml $1/drivers/human/tracks/g-track-3/car-pw-206wrc.xml.old
    fi
    cp -f drivers/human/tracks/g-track-3/car-pw-206wrc.xml $1/drivers/human/tracks/g-track-3/car-pw-206wrc.xml
    chmod 640 $1/drivers/human/tracks/g-track-3/car-pw-206wrc.xml
fi
mkdir -p $1/drivers/human/tracks/mixed-1 2>/dev/null
if [ ! -e  $1/drivers/human/tracks/mixed-1/car-torcs.xml ] || [ drivers/human/tracks/mixed-1/car-torcs.xml -nt $1/drivers/human/tracks/mixed-1/car-torcs.xml ]
then
    if [ -e $1/drivers/human/tracks/mixed-1/car-torcs.xml ]
    then
        echo "Saving $1/drivers/human/tracks/mixed-1/car-torcs.xml to $1/drivers/human/tracks/mixed-1/car-torcs.xml.old"
        cp -f $1/drivers/human/tracks/mixed-1/car-torcs.xml $1/drivers/human/tracks/mixed-1/car-torcs.xml.old
    fi
    cp -f drivers/human/tracks/mixed-1/car-torcs.xml $1/drivers/human/tracks/mixed-1/car-torcs.xml
    chmod 640 $1/drivers/human/tracks/mixed-1/car-torcs.xml
fi
mkdir -p $1/drivers/human/tracks/mixed-2 2>/dev/null
if [ ! -e  $1/drivers/human/tracks/mixed-2/car-torcs.xml ] || [ drivers/human/tracks/mixed-2/car-torcs.xml -nt $1/drivers/human/tracks/mixed-2/car-torcs.xml ]
then
    if [ -e $1/drivers/human/tracks/mixed-2/car-torcs.xml ]
    then
        echo "Saving $1/drivers/human/tracks/mixed-2/car-torcs.xml to $1/drivers/human/tracks/mixed-2/car-torcs.xml.old"
        cp -f $1/drivers/human/tracks/mixed-2/car-torcs.xml $1/drivers/human/tracks/mixed-2/car-torcs.xml.old
    fi
    cp -f drivers/human/tracks/mixed-2/car-torcs.xml $1/drivers/human/tracks/mixed-2/car-torcs.xml
    chmod 640 $1/drivers/human/tracks/mixed-2/car-torcs.xml
fi
mkdir -p $1/drivers/human/tracks/spring 2>/dev/null
mkdir -p $1/drivers/human/tracks/wheel-1 2>/dev/null
if [ ! -e  $1/drivers/human/tracks/wheel-1/car-mclaren-f1.xml ] || [ drivers/human/tracks/wheel-1/car-mclaren-f1.xml -nt $1/drivers/human/tracks/wheel-1/car-mclaren-f1.xml ]
then
    if [ -e $1/drivers/human/tracks/wheel-1/car-mclaren-f1.xml ]
    then
        echo "Saving $1/drivers/human/tracks/wheel-1/car-mclaren-f1.xml to $1/drivers/human/tracks/wheel-1/car-mclaren-f1.xml.old"
        cp -f $1/drivers/human/tracks/wheel-1/car-mclaren-f1.xml $1/drivers/human/tracks/wheel-1/car-mclaren-f1.xml.old
    fi
    cp -f drivers/human/tracks/wheel-1/car-mclaren-f1.xml $1/drivers/human/tracks/wheel-1/car-mclaren-f1.xml
    chmod 640 $1/drivers/human/tracks/wheel-1/car-mclaren-f1.xml
fi
if [ ! -e  $1/drivers/human/tracks/wheel-1/car-porsche-gt1.xml ] || [ drivers/human/tracks/wheel-1/car-porsche-gt1.xml -nt $1/drivers/human/tracks/wheel-1/car-porsche-gt1.xml ]
then
    if [ -e $1/drivers/human/tracks/wheel-1/car-porsche-gt1.xml ]
    then
        echo "Saving $1/drivers/human/tracks/wheel-1/car-porsche-gt1.xml to $1/drivers/human/tracks/wheel-1/car-porsche-gt1.xml.old"
        cp -f $1/drivers/human/tracks/wheel-1/car-porsche-gt1.xml $1/drivers/human/tracks/wheel-1/car-porsche-gt1.xml.old
    fi
    cp -f drivers/human/tracks/wheel-1/car-porsche-gt1.xml $1/drivers/human/tracks/wheel-1/car-porsche-gt1.xml
    chmod 640 $1/drivers/human/tracks/wheel-1/car-porsche-gt1.xml
fi
mkdir -p $1/drivers/human 2>/dev/null
if [ ! -e  $1/drivers/human/car-155-DTM.xml ] || [ drivers/human/car-155-DTM.xml -nt $1/drivers/human/car-155-DTM.xml ]
then
    if [ -e $1/drivers/human/car-155-DTM.xml ]
    then
        echo "Saving $1/drivers/human/car-155-DTM.xml to $1/drivers/human/car-155-DTM.xml.old"
        cp -f $1/drivers/human/car-155-DTM.xml $1/drivers/human/car-155-DTM.xml.old
    fi
    cp -f drivers/human/car-155-DTM.xml $1/drivers/human/car-155-DTM.xml
    chmod 640 $1/drivers/human/car-155-DTM.xml
fi
if [ ! -e  $1/drivers/human/car-360-modena.xml ] || [ drivers/human/car-360-modena.xml -nt $1/drivers/human/car-360-modena.xml ]
then
    if [ -e $1/drivers/human/car-360-modena.xml ]
    then
        echo "Saving $1/drivers/human/car-360-modena.xml to $1/drivers/human/car-360-modena.xml.old"
        cp -f $1/drivers/human/car-360-modena.xml $1/drivers/human/car-360-modena.xml.old
    fi
    cp -f drivers/human/car-360-modena.xml $1/drivers/human/car-360-modena.xml
    chmod 640 $1/drivers/human/car-360-modena.xml
fi
if [ ! -e  $1/drivers/human/car-acura-nsx-sz.xml ] || [ drivers/human/car-acura-nsx-sz.xml -nt $1/drivers/human/car-acura-nsx-sz.xml ]
then
    if [ -e $1/drivers/human/car-acura-nsx-sz.xml ]
    then
        echo "Saving $1/drivers/human/car-acura-nsx-sz.xml to $1/drivers/human/car-acura-nsx-sz.xml.old"
        cp -f $1/drivers/human/car-acura-nsx-sz.xml $1/drivers/human/car-acura-nsx-sz.xml.old
    fi
    cp -f drivers/human/car-acura-nsx-sz.xml $1/drivers/human/car-acura-nsx-sz.xml
    chmod 640 $1/drivers/human/car-acura-nsx-sz.xml
fi
if [ ! -e  $1/drivers/human/car-alpha-156-rk.xml ] || [ drivers/human/car-alpha-156-rk.xml -nt $1/drivers/human/car-alpha-156-rk.xml ]
then
    if [ -e $1/drivers/human/car-alpha-156-rk.xml ]
    then
        echo "Saving $1/drivers/human/car-alpha-156-rk.xml to $1/drivers/human/car-alpha-156-rk.xml.old"
        cp -f $1/drivers/human/car-alpha-156-rk.xml $1/drivers/human/car-alpha-156-rk.xml.old
    fi
    cp -f drivers/human/car-alpha-156-rk.xml $1/drivers/human/car-alpha-156-rk.xml
    chmod 640 $1/drivers/human/car-alpha-156-rk.xml
fi
if [ ! -e  $1/drivers/human/car-buggy.xml ] || [ drivers/human/car-buggy.xml -nt $1/drivers/human/car-buggy.xml ]
then
    if [ -e $1/drivers/human/car-buggy.xml ]
    then
        echo "Saving $1/drivers/human/car-buggy.xml to $1/drivers/human/car-buggy.xml.old"
        cp -f $1/drivers/human/car-buggy.xml $1/drivers/human/car-buggy.xml.old
    fi
    cp -f drivers/human/car-buggy.xml $1/drivers/human/car-buggy.xml
    chmod 640 $1/drivers/human/car-buggy.xml
fi
if [ ! -e  $1/drivers/human/car-cg-gt-rwd.xml ] || [ drivers/human/car-cg-gt-rwd.xml -nt $1/drivers/human/car-cg-gt-rwd.xml ]
then
    if [ -e $1/drivers/human/car-cg-gt-rwd.xml ]
    then
        echo "Saving $1/drivers/human/car-cg-gt-rwd.xml to $1/drivers/human/car-cg-gt-rwd.xml.old"
        cp -f $1/drivers/human/car-cg-gt-rwd.xml $1/drivers/human/car-cg-gt-rwd.xml.old
    fi
    cp -f drivers/human/car-cg-gt-rwd.xml $1/drivers/human/car-cg-gt-rwd.xml
    chmod 640 $1/drivers/human/car-cg-gt-rwd.xml
fi
if [ ! -e  $1/drivers/human/car-cg-nascar-fwd.xml ] || [ drivers/human/car-cg-nascar-fwd.xml -nt $1/drivers/human/car-cg-nascar-fwd.xml ]
then
    if [ -e $1/drivers/human/car-cg-nascar-fwd.xml ]
    then
        echo "Saving $1/drivers/human/car-cg-nascar-fwd.xml to $1/drivers/human/car-cg-nascar-fwd.xml.old"
        cp -f $1/drivers/human/car-cg-nascar-fwd.xml $1/drivers/human/car-cg-nascar-fwd.xml.old
    fi
    cp -f drivers/human/car-cg-nascar-fwd.xml $1/drivers/human/car-cg-nascar-fwd.xml
    chmod 640 $1/drivers/human/car-cg-nascar-fwd.xml
fi
if [ ! -e  $1/drivers/human/car-cg-nascar-rwd.xml ] || [ drivers/human/car-cg-nascar-rwd.xml -nt $1/drivers/human/car-cg-nascar-rwd.xml ]
then
    if [ -e $1/drivers/human/car-cg-nascar-rwd.xml ]
    then
        echo "Saving $1/drivers/human/car-cg-nascar-rwd.xml to $1/drivers/human/car-cg-nascar-rwd.xml.old"
        cp -f $1/drivers/human/car-cg-nascar-rwd.xml $1/drivers/human/car-cg-nascar-rwd.xml.old
    fi
    cp -f drivers/human/car-cg-nascar-rwd.xml $1/drivers/human/car-cg-nascar-rwd.xml
    chmod 640 $1/drivers/human/car-cg-nascar-rwd.xml
fi
if [ ! -e  $1/drivers/human/car-clkdtm.xml ] || [ drivers/human/car-clkdtm.xml -nt $1/drivers/human/car-clkdtm.xml ]
then
    if [ -e $1/drivers/human/car-clkdtm.xml ]
    then
        echo "Saving $1/drivers/human/car-clkdtm.xml to $1/drivers/human/car-clkdtm.xml.old"
        cp -f $1/drivers/human/car-clkdtm.xml $1/drivers/human/car-clkdtm.xml.old
    fi
    cp -f drivers/human/car-clkdtm.xml $1/drivers/human/car-clkdtm.xml
    chmod 640 $1/drivers/human/car-clkdtm.xml
fi
if [ ! -e  $1/drivers/human/car-corvette.xml ] || [ drivers/human/car-corvette.xml -nt $1/drivers/human/car-corvette.xml ]
then
    if [ -e $1/drivers/human/car-corvette.xml ]
    then
        echo "Saving $1/drivers/human/car-corvette.xml to $1/drivers/human/car-corvette.xml.old"
        cp -f $1/drivers/human/car-corvette.xml $1/drivers/human/car-corvette.xml.old
    fi
    cp -f drivers/human/car-corvette.xml $1/drivers/human/car-corvette.xml
    chmod 640 $1/drivers/human/car-corvette.xml
fi
if [ ! -e  $1/drivers/human/car-lotus-gt1.xml ] || [ drivers/human/car-lotus-gt1.xml -nt $1/drivers/human/car-lotus-gt1.xml ]
then
    if [ -e $1/drivers/human/car-lotus-gt1.xml ]
    then
        echo "Saving $1/drivers/human/car-lotus-gt1.xml to $1/drivers/human/car-lotus-gt1.xml.old"
        cp -f $1/drivers/human/car-lotus-gt1.xml $1/drivers/human/car-lotus-gt1.xml.old
    fi
    cp -f drivers/human/car-lotus-gt1.xml $1/drivers/human/car-lotus-gt1.xml
    chmod 640 $1/drivers/human/car-lotus-gt1.xml
fi
if [ ! -e  $1/drivers/human/car-mclaren-f1.xml ] || [ drivers/human/car-mclaren-f1.xml -nt $1/drivers/human/car-mclaren-f1.xml ]
then
    if [ -e $1/drivers/human/car-mclaren-f1.xml ]
    then
        echo "Saving $1/drivers/human/car-mclaren-f1.xml to $1/drivers/human/car-mclaren-f1.xml.old"
        cp -f $1/drivers/human/car-mclaren-f1.xml $1/drivers/human/car-mclaren-f1.xml.old
    fi
    cp -f drivers/human/car-mclaren-f1.xml $1/drivers/human/car-mclaren-f1.xml
    chmod 640 $1/drivers/human/car-mclaren-f1.xml
fi
if [ ! -e  $1/drivers/human/car-p406.xml ] || [ drivers/human/car-p406.xml -nt $1/drivers/human/car-p406.xml ]
then
    if [ -e $1/drivers/human/car-p406.xml ]
    then
        echo "Saving $1/drivers/human/car-p406.xml to $1/drivers/human/car-p406.xml.old"
        cp -f $1/drivers/human/car-p406.xml $1/drivers/human/car-p406.xml.old
    fi
    cp -f drivers/human/car-p406.xml $1/drivers/human/car-p406.xml
    chmod 640 $1/drivers/human/car-p406.xml
fi
if [ ! -e  $1/drivers/human/car-porsche-gt1.xml ] || [ drivers/human/car-porsche-gt1.xml -nt $1/drivers/human/car-porsche-gt1.xml ]
then
    if [ -e $1/drivers/human/car-porsche-gt1.xml ]
    then
        echo "Saving $1/drivers/human/car-porsche-gt1.xml to $1/drivers/human/car-porsche-gt1.xml.old"
        cp -f $1/drivers/human/car-porsche-gt1.xml $1/drivers/human/car-porsche-gt1.xml.old
    fi
    cp -f drivers/human/car-porsche-gt1.xml $1/drivers/human/car-porsche-gt1.xml
    chmod 640 $1/drivers/human/car-porsche-gt1.xml
fi
if [ ! -e  $1/drivers/human/car-porsche-gt3rs.xml ] || [ drivers/human/car-porsche-gt3rs.xml -nt $1/drivers/human/car-porsche-gt3rs.xml ]
then
    if [ -e $1/drivers/human/car-porsche-gt3rs.xml ]
    then
        echo "Saving $1/drivers/human/car-porsche-gt3rs.xml to $1/drivers/human/car-porsche-gt3rs.xml.old"
        cp -f $1/drivers/human/car-porsche-gt3rs.xml $1/drivers/human/car-porsche-gt3rs.xml.old
    fi
    cp -f drivers/human/car-porsche-gt3rs.xml $1/drivers/human/car-porsche-gt3rs.xml
    chmod 640 $1/drivers/human/car-porsche-gt3rs.xml
fi
if [ ! -e  $1/drivers/human/car-pw-206wrc.xml ] || [ drivers/human/car-pw-206wrc.xml -nt $1/drivers/human/car-pw-206wrc.xml ]
then
    if [ -e $1/drivers/human/car-pw-206wrc.xml ]
    then
        echo "Saving $1/drivers/human/car-pw-206wrc.xml to $1/drivers/human/car-pw-206wrc.xml.old"
        cp -f $1/drivers/human/car-pw-206wrc.xml $1/drivers/human/car-pw-206wrc.xml.old
    fi
    cp -f drivers/human/car-pw-206wrc.xml $1/drivers/human/car-pw-206wrc.xml
    chmod 640 $1/drivers/human/car-pw-206wrc.xml
fi
if [ ! -e  $1/drivers/human/car-pw-evovwrc.xml ] || [ drivers/human/car-pw-evovwrc.xml -nt $1/drivers/human/car-pw-evovwrc.xml ]
then
    if [ -e $1/drivers/human/car-pw-evovwrc.xml ]
    then
        echo "Saving $1/drivers/human/car-pw-evovwrc.xml to $1/drivers/human/car-pw-evovwrc.xml.old"
        cp -f $1/drivers/human/car-pw-evovwrc.xml $1/drivers/human/car-pw-evovwrc.xml.old
    fi
    cp -f drivers/human/car-pw-evovwrc.xml $1/drivers/human/car-pw-evovwrc.xml
    chmod 640 $1/drivers/human/car-pw-evovwrc.xml
fi
if [ ! -e  $1/drivers/human/car-torcs.xml ] || [ drivers/human/car-torcs.xml -nt $1/drivers/human/car-torcs.xml ]
then
    if [ -e $1/drivers/human/car-torcs.xml ]
    then
        echo "Saving $1/drivers/human/car-torcs.xml to $1/drivers/human/car-torcs.xml.old"
        cp -f $1/drivers/human/car-torcs.xml $1/drivers/human/car-torcs.xml.old
    fi
    cp -f drivers/human/car-torcs.xml $1/drivers/human/car-torcs.xml
    chmod 640 $1/drivers/human/car-torcs.xml
fi
if [ ! -e  $1/drivers/human/car-viper-gts-r.xml ] || [ drivers/human/car-viper-gts-r.xml -nt $1/drivers/human/car-viper-gts-r.xml ]
then
    if [ -e $1/drivers/human/car-viper-gts-r.xml ]
    then
        echo "Saving $1/drivers/human/car-viper-gts-r.xml to $1/drivers/human/car-viper-gts-r.xml.old"
        cp -f $1/drivers/human/car-viper-gts-r.xml $1/drivers/human/car-viper-gts-r.xml.old
    fi
    cp -f drivers/human/car-viper-gts-r.xml $1/drivers/human/car-viper-gts-r.xml
    chmod 640 $1/drivers/human/car-viper-gts-r.xml
fi
if [ ! -e  $1/drivers/human/car-vm-x2.xml ] || [ drivers/human/car-vm-x2.xml -nt $1/drivers/human/car-vm-x2.xml ]
then
    if [ -e $1/drivers/human/car-vm-x2.xml ]
    then
        echo "Saving $1/drivers/human/car-vm-x2.xml to $1/drivers/human/car-vm-x2.xml.old"
        cp -f $1/drivers/human/car-vm-x2.xml $1/drivers/human/car-vm-x2.xml.old
    fi
    cp -f drivers/human/car-vm-x2.xml $1/drivers/human/car-vm-x2.xml
    chmod 640 $1/drivers/human/car-vm-x2.xml
fi
if [ ! -e  $1/drivers/human/car-vm-x4.xml ] || [ drivers/human/car-vm-x4.xml -nt $1/drivers/human/car-vm-x4.xml ]
then
    if [ -e $1/drivers/human/car-vm-x4.xml ]
    then
        echo "Saving $1/drivers/human/car-vm-x4.xml to $1/drivers/human/car-vm-x4.xml.old"
        cp -f $1/drivers/human/car-vm-x4.xml $1/drivers/human/car-vm-x4.xml.old
    fi
    cp -f drivers/human/car-vm-x4.xml $1/drivers/human/car-vm-x4.xml
    chmod 640 $1/drivers/human/car-vm-x4.xml
fi
if [ ! -e  $1/drivers/human/car.xml ] || [ drivers/human/car.xml -nt $1/drivers/human/car.xml ]
then
    if [ -e $1/drivers/human/car.xml ]
    then
        echo "Saving $1/drivers/human/car.xml to $1/drivers/human/car.xml.old"
        cp -f $1/drivers/human/car.xml $1/drivers/human/car.xml.old
    fi
    cp -f drivers/human/car.xml $1/drivers/human/car.xml
    chmod 640 $1/drivers/human/car.xml
fi
if [ ! -e  $1/drivers/human/human.xml ] || [ drivers/human/human.xml -nt $1/drivers/human/human.xml ]
then
    if [ -e $1/drivers/human/human.xml ]
    then
        echo "Saving $1/drivers/human/human.xml to $1/drivers/human/human.xml.old"
        cp -f $1/drivers/human/human.xml $1/drivers/human/human.xml.old
    fi
    cp -f drivers/human/human.xml $1/drivers/human/human.xml
    chmod 640 $1/drivers/human/human.xml
fi
if [ ! -e  $1/drivers/human/preferences.xml ] || [ drivers/human/preferences.xml -nt $1/drivers/human/preferences.xml ]
then
    if [ -e $1/drivers/human/preferences.xml ]
    then
        echo "Saving $1/drivers/human/preferences.xml to $1/drivers/human/preferences.xml.old"
        cp -f $1/drivers/human/preferences.xml $1/drivers/human/preferences.xml.old
    fi
    cp -f drivers/human/preferences.xml $1/drivers/human/preferences.xml
    chmod 640 $1/drivers/human/preferences.xml
fi
mkdir -p $1/config 2>/dev/null
if [ ! -e  $1/config/screen.xml ] || [ config/screen.xml -nt $1/config/screen.xml ]
then
    if [ -e $1/config/screen.xml ]
    then
        echo "Saving $1/config/screen.xml to $1/config/screen.xml.old"
        cp -f $1/config/screen.xml $1/config/screen.xml.old
    fi
    cp -f config/screen.xml $1/config/screen.xml
    chmod 640 $1/config/screen.xml
fi
mkdir -p $1/config 2>/dev/null
if [ ! -e  $1/config/graph.xml ] || [ config/graph.xml -nt $1/config/graph.xml ]
then
    if [ -e $1/config/graph.xml ]
    then
        echo "Saving $1/config/graph.xml to $1/config/graph.xml.old"
        cp -f $1/config/graph.xml $1/config/graph.xml.old
    fi
    cp -f config/graph.xml $1/config/graph.xml
    chmod 640 $1/config/graph.xml
fi
if [ ! -e  $1/config/sound.xml ] || [ config/sound.xml -nt $1/config/sound.xml ]
then
    if [ -e $1/config/sound.xml ]
    then
        echo "Saving $1/config/sound.xml to $1/config/sound.xml.old"
        cp -f $1/config/sound.xml $1/config/sound.xml.old
    fi
    cp -f config/sound.xml $1/config/sound.xml
    chmod 640 $1/config/sound.xml
fi
mkdir -p $1/results/champ 2>/dev/null
mkdir -p $1/results/dtmrace 2>/dev/null
mkdir -p $1/results/endrace 2>/dev/null
mkdir -p $1/results/ncrace 2>/dev/null
mkdir -p $1/results/practice 2>/dev/null
mkdir -p $1/results/quickrace 2>/dev/null
mkdir -p $1/config/raceman 2>/dev/null
if [ ! -e  $1/config/raceman/champ.xml ] || [ config/raceman/champ.xml -nt $1/config/raceman/champ.xml ]
then
    if [ -e $1/config/raceman/champ.xml ]
    then
        echo "Saving $1/config/raceman/champ.xml to $1/config/raceman/champ.xml.old"
        cp -f $1/config/raceman/champ.xml $1/config/raceman/champ.xml.old
    fi
    cp -f config/raceman/champ.xml $1/config/raceman/champ.xml
    chmod 640 $1/config/raceman/champ.xml
fi
if [ ! -e  $1/config/raceman/dtmrace.xml ] || [ config/raceman/dtmrace.xml -nt $1/config/raceman/dtmrace.xml ]
then
    if [ -e $1/config/raceman/dtmrace.xml ]
    then
        echo "Saving $1/config/raceman/dtmrace.xml to $1/config/raceman/dtmrace.xml.old"
        cp -f $1/config/raceman/dtmrace.xml $1/config/raceman/dtmrace.xml.old
    fi
    cp -f config/raceman/dtmrace.xml $1/config/raceman/dtmrace.xml
    chmod 640 $1/config/raceman/dtmrace.xml
fi
if [ ! -e  $1/config/raceman/endrace.xml ] || [ config/raceman/endrace.xml -nt $1/config/raceman/endrace.xml ]
then
    if [ -e $1/config/raceman/endrace.xml ]
    then
        echo "Saving $1/config/raceman/endrace.xml to $1/config/raceman/endrace.xml.old"
        cp -f $1/config/raceman/endrace.xml $1/config/raceman/endrace.xml.old
    fi
    cp -f config/raceman/endrace.xml $1/config/raceman/endrace.xml
    chmod 640 $1/config/raceman/endrace.xml
fi
if [ ! -e  $1/config/raceman/ncrace.xml ] || [ config/raceman/ncrace.xml -nt $1/config/raceman/ncrace.xml ]
then
    if [ -e $1/config/raceman/ncrace.xml ]
    then
        echo "Saving $1/config/raceman/ncrace.xml to $1/config/raceman/ncrace.xml.old"
        cp -f $1/config/raceman/ncrace.xml $1/config/raceman/ncrace.xml.old
    fi
    cp -f config/raceman/ncrace.xml $1/config/raceman/ncrace.xml
    chmod 640 $1/config/raceman/ncrace.xml
fi
if [ ! -e  $1/config/raceman/practice.xml ] || [ config/raceman/practice.xml -nt $1/config/raceman/practice.xml ]
then
    if [ -e $1/config/raceman/practice.xml ]
    then
        echo "Saving $1/config/raceman/practice.xml to $1/config/raceman/practice.xml.old"
        cp -f $1/config/raceman/practice.xml $1/config/raceman/practice.xml.old
    fi
    cp -f config/raceman/practice.xml $1/config/raceman/practice.xml
    chmod 640 $1/config/raceman/practice.xml
fi
if [ ! -e  $1/config/raceman/quickrace.xml ] || [ config/raceman/quickrace.xml -nt $1/config/raceman/quickrace.xml ]
then
    if [ -e $1/config/raceman/quickrace.xml ]
    then
        echo "Saving $1/config/raceman/quickrace.xml to $1/config/raceman/quickrace.xml.old"
        cp -f $1/config/raceman/quickrace.xml $1/config/raceman/quickrace.xml.old
    fi
    cp -f config/raceman/quickrace.xml $1/config/raceman/quickrace.xml
    chmod 640 $1/config/raceman/quickrace.xml
fi
